Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util
Class CausedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  sim.util.CausedRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Use standard RuntimeExceptions in Java 1.4 now

    public class CausedRuntimeException

extends java.lang.RuntimeException

A simple RuntimeException which wraps a deeper exception inside of it and prints it in a fashion similar to exceptions like InvocationTargetException. This exception is largely obviated by the 'cause' mechanism in Java 1.4 Throwables -- but Java 1.3 doesn't have it and thus we need it.

See Also:
  Serialized Form

Constructor Summary
`protected` | `CausedRuntimeException()` Deprecated.
`` | `CausedRuntimeException(java.lang.Throwable target)` Deprecated.
`` | `CausedRuntimeException(java.lang.Throwable target, java.lang.String message)` Deprecated.

Method Summary
`void` | `printStackTrace()` Deprecated.
`void` | `printStackTrace(java.io.PrintStream stream)` Deprecated.
`void` | `printStackTrace(java.io.PrintWriter stream)` Deprecated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CausedRuntimeException

    protected CausedRuntimeException()

  Deprecated.

### CausedRuntimeException

    public CausedRuntimeException(java.lang.Throwable target)

  Deprecated.

### CausedRuntimeException

    public CausedRuntimeException(java.lang.Throwable target,
                                  java.lang.String message)

  Deprecated.

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Deprecated.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter stream)

  Deprecated.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Deprecated.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD